Loading...
Searching...
No Matches
QXmppColorGeneration Class Reference

Generates colors from strings as defined in XEP-0392: Consistent Color Generation. More...

## Static Public Member Functions

static QXMPP_EXPORT Rgb | generateRgb (QStringView str)
static QColor | generateColor (QStringView str)

## Detailed Description

Generates colors from strings as defined in XEP-0392: Consistent Color Generation.

This way the colors are unique between different clients.

Since
  QXmpp 1.10

## Member Function Documentation

## generateColor()

QXmppColorGeneration::generateColor | ( | QStringView | str | ) |

inline static

Generates a QColor for a string.

Note
  This is a header-only function and it is only available when building the application using QXmpp with the Qt GUI module.

## generateRgb()

QXmppColorGeneration::Rgb QXmppColorGeneration::generateRgb | ( | QStringView | str | ) |

static

Generates an RGB color triple for a string.

The documentation for this class was generated from the following files:

- QXmppColorGeneration.h
- QXmppColorGeneration.cpp